package ru.ulstu.extractor.heuristic.api;

import ru.ulstu.extractor.heuristic.model.BuildTool;
import ru.ulstu.extractor.heuristic.model.ProgrammingLanguage;
import ru.ulstu.extractor.heuristic.model.StructuralUnit;

import java.util.List;

public interface StructuralUnitIdentifier {
    List<StructuralUnit> getEntityClasses();

    List<StructuralUnit> getBusinessLogicClasses();

    ProgrammingLanguage getMainProgrammingLanguage();

    boolean isMultiModuleProject();

    BuildTool getBuildTool();

    default boolean canAppliedToProject() {
        return false;
    }
}
