package ru.ulstu.extractor.heuristic.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.heuristic.api.StructuralUnitIdentifier;
import ru.ulstu.extractor.heuristic.model.BuildTool;
import ru.ulstu.extractor.heuristic.model.GradleBuildTool;
import ru.ulstu.extractor.heuristic.model.JavaProgrammingLanguage;
import ru.ulstu.extractor.heuristic.model.ProgrammingLanguage;
import ru.ulstu.extractor.heuristic.model.StructuralUnit;

import java.util.List;

@Service
public class JavaIdentifier implements StructuralUnitIdentifier {
    @Override
    public boolean canAppliedToProject() {
        return getBuildTool() instanceof GradleBuildTool
                && getMainProgrammingLanguage() instanceof JavaProgrammingLanguage;
    }

    @Override
    public List<StructuralUnit> getEntityClasses() {
        return null;
    }

    @Override
    public List<StructuralUnit> getBusinessLogicClasses() {
        return null;
    }

    @Override
    public ProgrammingLanguage getMainProgrammingLanguage() {
        return null;
    }

    @Override
    public boolean isMultiModuleProject() {
        return false;
    }

    @Override
    public BuildTool getBuildTool() {
        return null;
    }
}
